--- a/lisp/net/eww.el
+++ b/lisp/net/eww.el
@@ -65,6 +65,12 @@
   :group 'eww
   :type 'string)
 
+(defcustom eww-buffer-name "*eww*"
+  "Buffer name to use for rendering HTML."
+  :version "25.1"
+  :group 'eww
+  :type 'string)
+
 (defcustom eww-use-external-browser-for-content-type
   "\\`\\(video/\\|audio/\\|application/ogg\\)"
   "Always use external browser for specified content-type."
@@ -422,7 +459,7 @@ See the `eww-search-prefix' variable for the search engine used."
   (switch-to-buffer
    (if (buffer-live-p buffer)
        buffer
-     (get-buffer-create "*eww*")))
+     (get-buffer-create eww-buffer-name)))
   (let ((inhibit-read-only t))
     (remove-overlays)
     (erase-buffer))
